org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotShapeProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider
      - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotShapeProposalProvider
        - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotShapeProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

    public class DotShapeProposalProvider
    extends AbstractDotShapeProposalProvider

See https://www.eclipse.org/Xtext/documentation/304_ide_concepts.html#content-assist on how to customize the content assistant.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`DotShapeProposalProvider()`

### Method Summary

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotShapeProposalProvider

`complete_PolygonBasedNodeShape, complete_PolygonBasedShape, complete_RecordBasedNodeShape, complete_RecordBasedShape, complete_Shape, completePolygonBasedShape_Shape, completeRecordBasedShape_Shape, completeShape_Shape`

### Methods inherited from class org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider

`complete_ANY_OTHER, complete_ID, complete_INT, complete_ML_COMMENT, complete_SL_COMMENT, complete_STRING, complete_WS, doCreateIdProposals, doCreateIntProposals, doCreateStringProposals`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotShapeProposalProvider

    public DotShapeProposalProvider()